$block: post;
$main: post-main;

.#{$block} {
	color: $white;
	background: #151515;

	&__wrap {
		position: relative;
		display: flex;
		flex-direction: column;
	}

	&__content {
		z-index: 50;
		margin: auto 0;
		position: relative;
		padding-bottom: 160px;
		padding-top: 110px;
		line-height: 130%;
		font-size: font-size-rel(14px);
	}

	&__header {
		width: 250px;
		position: relative;
		margin-bottom: 20px;
		font-family: $font-family-head;

		&--label {
			width: 160px;
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 10px;
			font-size: font-size-rel(16px);
		}

		&--title {
			font-weight: 700;
			line-height: 130%;
			font-size: font-size-rel(22px);
		}
	}

	&__text {
		width: 250px;
	}

	&__date {
		left: 0;
		z-index: 100;
		bottom: 25px;
		opacity: 0.4;
		position: absolute;
	}

	&__media {
		width: 160px;
		height: 160px;
		right: -20px;
		z-index: 50;
		bottom: 0;
		position: absolute;

		&--plus {
			left: 60px;
			bottom: calc(100% + 184px);
			z-index: 5;
			width: 70px;
			height: 70px;
			position: absolute;
		}

		&--pattern {
			z-index: 3;
			width: 268px;
			left: -60px;
			bottom: calc(100% + 104px);
			position: absolute;
		}
	}

	&__info {
		display: none;
	}

	&__image {
		z-index: 20;
		width: 160px;
		height: 160px;
	//	overflow: hidden;
		position: relative;
	}

	&__tags {
		margin: 0;
		padding: 0;
		right: 20px;
		bottom: 25px;
		z-index: 50;
		line-height: 130%;
		font-size: font-size-rel(14px);
		text-align: right;
		list-style: none;
		position: absolute;

		li {
			margin-top: 10px;

			a {
				opacity: 0.4;
				color: $white;
				text-decoration: none;
				transition: .3s;

				&:hover {
					opacity: 1;
					color: $white;
					text-decoration: none;
				}
			}
		}
	}

	.screen__container {
		z-index: 100;
		position: relative;
	}

	@media (min-width: $screen-xs-min) {

	}

	@media (min-width: $screen-sm-min) {

		&__content {
			width: 480px;
			font-size: font-size-rel(16px);
		}

		&__header {
			width: 480px;
			margin-bottom: 60px;

			&--label {
				text-align: right;
				margin-bottom: 30px;
				font-size: font-size-rel(18px);
			}

			&--title {
				padding-left: 160px;
				line-height: 120%;
				font-size: font-size-rel(32px);
			}
		}

		&__text {
			width: 320px;
			margin-left: 160px;
		}

		&__date {
			bottom: 40px;
			margin-left: 160px;
		}

		&__media {
			width: 280px;
			height: 280px;
		}

		&__image {
			width: 280px;
			height: 280px;
		}

		&__tags {
			bottom: 40px;
			font-size: font-size-rel(16px);
		}

	}

	@media (min-width: $screen-md-min) {

		&__header {
			margin-bottom: 80px;

			&--label {
				margin-bottom: 60px;
			}

			&--title {
				font-size: font-size-rel(40px);
			}
		}

		&__date {
			bottom: 70px;
		}

		&__media {
			width: 460px;
			height: 360px;

			&--plus {
				z-index: 120;
				top: -100px;
				width: 200px;
				height: 200px;
			}

			&--pattern {
				left: -300px;
				top: -440px;
				z-index: 120;
				width: 600px;
			}
		}

		&__image {
			width: 460px;
			height: 360px;
		}

		&__tags {
			left: 40px;
			right: auto;
			bottom: 70px;
			text-align: left;

			li {

				a {
					opacity: 1;

					&:hover {
						text-decoration: underline;
					}
				}
			}
		}

		&__info {
			bottom: 40px;
			right: 20px;
			z-index: 100;
			display: flex;
			align-items: center;
			position: absolute;

			&--button {
				flex-shrink: 0;
			}

			&--data {
				color: #fff;
				margin-left: 40px;
				font-size: font-size-rel(16px);
				line-height: font-size-rel(20px);
				white-space: nowrap;
				display: inline-block;
			}
		}
	}

	@media (min-width: $screen-lg-min) {

	}

	@media (min-width: $screen-xl-min) {

		&__content {
			width: 630px;
		}

		&__header {
			width: 630px;

			&--title {
				font-size: font-size-rel(50px);
			}
		}

		&__date {
			bottom: 120px;
		}

		&__media {
			width: 837px;
			height: 520px;

			&--plus {
				top: -160px;
				left: 160px;
				width: 320px;
				height: 320px;
			}

			&--pattern {
				left: -252px;
				width: 696px;
				bottom: 326px;
			}
		}

		&__image {
			width: 837px;
			height: 520px;
		}

		&__tags {
			left: 320px;
			bottom: 120px;
		}

		&__info {
			bottom: 85px;
		}
	}

}

.#{$main} {
	z-index: 100;
	position: relative;
	padding-top: 100px;
	padding-bottom: 60px;

	@media (min-width: $screen-sm-min) {
		padding-bottom: 90px;
	}
}

.post-meta {
	padding: 10px;
	margin-bottom: 30px;
	font-size: font-size-rel(16px);
	line-height: 130%;
	border-top: 1px solid rgba(18,18,18,0.2);
	border-bottom: 1px solid rgba(18,18,18,0.2);

	&__wrap {

	}

	&__author {
		margin-bottom: 20px;

		&--name {

		}

		&--status {
			opacity: 0.3;
		}
	}

	&__comments {
		margin-bottom: 20px;
	}

	@media (min-width: $screen-sm-min) {
		margin-bottom: 60px;

		&__wrap {
			padding: 40px 0;
			max-width: 920px;
			display: flex;
			align-items: center;
			justify-content: space-between;
		}

		&__author {
			margin: 0;
			padding-right: 20px;
		}

		&__comments {
			margin: 0;
			padding-right: 20px;
		}
	}

	@media (min-width: $screen-md-min) {
		margin-left: 160px;
	}

	@media (min-width: $screen-xl-min) {
		margin-bottom: 100px;
	}
}

.post-comments {
	margin-bottom: 40px;

	&__header {
		margin-bottom: 20px;
		line-height: 120%;
		font-weight: 700;
		font-size: font-size-rel(18px);
		font-family: $font-family-head;
	}

	&__main {
		max-width: 1010px;
	}

	@media (min-width: $screen-sm-min) {
		margin-bottom: 70px;
	}

	@media (min-width: $screen-md-min) {
		margin-left: 160px;
		margin-bottom: 90px;
	}
}

.post-switch {
	padding-bottom: 50px;

	&__top {
		margin-bottom: 20px;
	}

	&__header {
		position: relative;
		margin-bottom: 40px;
		font-family: $font-family-head;

		&--label {
			width: 160px;
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
		}

		&--title {
			font-weight: 700;
			line-height: 130%;
			font-size: font-size-rel(22px);
		}
	}

	&__nav {
		padding: 0 10px;
		display: flex;
		align-items: center;
		justify-content: space-between;

		&--button {
			position: relative;

			&:before {
				top: 50%;
				content: '';
				width: 105px;
				height: 1px;
				display: block;
				position: absolute;
				background: $red;
			}

			&.post-switch-prev {

				&:before {
					right: calc(100% - 15px);
				}
			}

			&.post-switch-next {

				&:before {
					left: calc(100% - 15px);
				}
			}
		}

		&--counter {
			opacity: 0;
			visibility: hidden;
			padding: 0 20px;
			display: flex;
			align-items: center;
			font-weight: 700;
			font-family: $font-family-head;
			font-size: font-size-rel(16px);
			line-height: font-size-rel(20px);
		}
	}

	@media (min-width: $screen-sm-min) {

		&__top {
			margin-bottom: 50px;
		}

		&__header {

			&--label {
				text-align: right;
				margin-bottom: 30px;
				font-size: font-size-rel(18px);
			}

			&--title {
				padding-left: 160px;
				line-height: 120%;
				font-size: font-size-rel(32px);
			}
		}

		&__nav {
			padding: 0;
			width: 300px;
			margin-left: 160px;

			&--counter {
				font-size: font-size-rel(18px);
				line-height: font-size-rel(20px);
			}
		}
	}

	@media (min-width: $screen-md-min) {

		&__top {
			display: flex;
			align-items: flex-start;
			justify-content: space-between;
		}

		&__header {
			margin-bottom: 80px;

			&--label {
				margin-bottom: 60px;
			}

			&--title {
				font-size: font-size-rel(40px);
			}
		}

		&__nav {
			margin-left: 80px;
			flex-shrink: 0;
			padding-top: 65px;
		}
	}

	@media (min-width: $screen-lg-min) {

		&__header {
			margin-bottom: 0;
		}

		&__top {
			margin-bottom:80px;
		}

	}

	@media (min-width: $screen-xl-min) {

		&__header {
			max-width: 700px;

			&--title {
				font-size: font-size-rel(50px);
			}
		}

		&__item {

			&--bottom {
				padding-top: 200px;
			}
		}
	}
}